Bug 1448596 - undefined symbol: purple_notify_user_info_add_pair_plaintext
Summary: undefined symbol: purple_notify_user_info_add_pair_plaintext
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: purple-facebook
Version: el6
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-05 21:34 UTC by Pál Tamás Ács
Modified: 2017-06-26 02:18 UTC (History)
1 user (show)

Fixed In Version: purple-facebook-0.9.4-3.c9b74a765767.fc26 purple-facebook-0.9.4-3.c9b74a765767.fc24 purple-facebook-0.9.4-3.c9b74a765767.fc25 purple-facebook-0.9.4-3.c9b74a765767.el7 purple-facebook-0.9.4-3.c9b74a765767.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-21 02:35:52 UTC


Attachments (Terms of Use)

Description Pál Tamás Ács 2017-05-05 21:34:14 UTC
On my CentOS 6.9 (latest, up-to-date) box, I have installed pidgin along with the purple-facebook plugin. When tried to add my Facebook account to pidgin using the Add button in the welcome wizard, I noticed that there is no "Facebook" protocol, only (the old and already deprecated) "Facebook (XMPP)".

I quit pidgin and restarted it with debug logging.

$ pidgin -d

Then I noticed the following message among the log lines.

(23:11:54) plugins: /usr/lib64/purple-2/libfacebook.so is not loadable: undefined symbol: purple_notify_user_info_add_pair_plaintext

Package versions below.

purple-facebook-0.9.3-1.c9b74a765767.el6 (from epel)
pidgin-2.7.9-28.el6.x86_64 (from base)

Step-by-step reproduction (on a clean CentOS 6.9 box):
1. sudo yum install epel-release
2. sudo yum install pidgin
3. sudo yum install purple-facebook
4. pidgin -d

Similar issues (external links):
https://github.com/majn/telegram-purple/issues/34
https://github.com/davidgfnet/whatsapp-purple/issues/148

Comment 1 Pál Tamás Ács 2017-05-05 21:48:41 UTC
The version of libpurple is the same as of pidgin (2.7.9-28.el6.x86_64).

Comment 2 Fedora Update System 2017-06-12 10:24:28 UTC
purple-facebook-0.9.4-1.c9b74a765767.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-8301d26120

Comment 3 Fedora Update System 2017-06-12 10:24:39 UTC
purple-facebook-0.9.4-1.c9b74a765767.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7140acca0b

Comment 4 Fedora Update System 2017-06-12 10:24:47 UTC
purple-facebook-0.9.4-1.c9b74a765767.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-05e16865bd

Comment 5 Fedora Update System 2017-06-12 10:24:56 UTC
purple-facebook-0.9.4-1.c9b74a765767.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e95069bc5a

Comment 6 Fedora Update System 2017-06-12 10:25:04 UTC
purple-facebook-0.9.4-1.c9b74a765767.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5cc9cc6250

Comment 7 Fedora Update System 2017-06-12 23:20:33 UTC
purple-facebook-0.9.4-1.c9b74a765767.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-8301d26120

Comment 8 Fedora Update System 2017-06-12 23:23:44 UTC
purple-facebook-0.9.4-1.c9b74a765767.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-05e16865bd

Comment 9 Fedora Update System 2017-06-13 01:33:21 UTC
purple-facebook-0.9.4-1.c9b74a765767.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5cc9cc6250

Comment 10 Fedora Update System 2017-06-13 01:35:12 UTC
purple-facebook-0.9.4-1.c9b74a765767.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7140acca0b

Comment 11 Fedora Update System 2017-06-13 03:48:32 UTC
purple-facebook-0.9.4-1.c9b74a765767.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e95069bc5a

Comment 12 Fedora Update System 2017-06-15 07:40:36 UTC
purple-facebook-0.9.4-3.c9b74a765767.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2635e00958

Comment 13 Fedora Update System 2017-06-15 07:40:48 UTC
purple-facebook-0.9.4-3.c9b74a765767.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-faeaaa5dbf

Comment 14 Fedora Update System 2017-06-15 07:40:57 UTC
purple-facebook-0.9.4-3.c9b74a765767.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d7e6d3f247

Comment 15 Fedora Update System 2017-06-15 07:41:06 UTC
purple-facebook-0.9.4-3.c9b74a765767.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-af37f58a1f

Comment 16 Fedora Update System 2017-06-15 07:41:15 UTC
purple-facebook-0.9.4-3.c9b74a765767.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-fc6005be90

Comment 17 Fedora Update System 2017-06-16 19:17:32 UTC
purple-facebook-0.9.4-3.c9b74a765767.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-af37f58a1f

Comment 18 Fedora Update System 2017-06-16 19:50:08 UTC
purple-facebook-0.9.4-3.c9b74a765767.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2635e00958

Comment 19 Fedora Update System 2017-06-16 19:52:22 UTC
purple-facebook-0.9.4-3.c9b74a765767.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-faeaaa5dbf

Comment 20 Fedora Update System 2017-06-16 22:23:39 UTC
purple-facebook-0.9.4-3.c9b74a765767.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d7e6d3f247

Comment 21 Fedora Update System 2017-06-17 00:19:13 UTC
purple-facebook-0.9.4-3.c9b74a765767.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-fc6005be90

Comment 22 Fedora Update System 2017-06-21 02:35:52 UTC
purple-facebook-0.9.4-3.c9b74a765767.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2017-06-24 20:50:35 UTC
purple-facebook-0.9.4-3.c9b74a765767.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2017-06-25 07:18:59 UTC
purple-facebook-0.9.4-3.c9b74a765767.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2017-06-25 17:20:09 UTC
purple-facebook-0.9.4-3.c9b74a765767.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2017-06-26 02:18:45 UTC
purple-facebook-0.9.4-3.c9b74a765767.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.